Skip to main content
GET
/
verify
/
single
cURL
curl --request GET \
  --url 'https://apis.proofy.io/v1/verify/single?api_key='
import requests

url = "https://apis.proofy.io/v1/verify/single?api_key="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://apis.proofy.io/v1/verify/single?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "valid",
  "syntax": {
    "username": "team",
    "domain": "proofy.io",
    "valid": true
  },
  "free": false,
  "roleAccount": true,
  "roleNoReply": false,
  "disposable": false,
  "possibleSpamTrap": false,
  "mx": {
    "records": [
      "aspmx.l.google.com.",
      "alt2.aspmx.l.google.com.",
      "alt1.aspmx.l.google.com.",
      "alt4.aspmx.l.google.com.",
      "alt3.aspmx.l.google.com."
    ],
    "acceptsMail": true
  },
  "deliverability": {
    "canConnect": true,
    "fullInbox": false,
    "catchAll": false,
    "deliverable": true,
    "disabled": false
  }
}
{
"message": "Not enough credits"
}
{
"message": "Unauthorized"
}
{
"message": "Not Found"
}
{
"message": "Unprocessable Entity"
}
{
"message": "Too Many Requests"
}
{
"message": "Internal Server Error"
}
Don’t use it to verify emails in lists or databases one by one, as this will result in account suspension. Use file or batch verification for such tasks.
Single verify response up to 30 seconds. On average, 95-98% of domains respond within 1 to 7 seconds. Some servers take up to 15-30 seconds for verification. Slow servers and those with greylisting will return “Unknown.”

Rate Limit

The Single Email Verification API is limited to 1000 requests per minute.

Authorizations

api_key
string
query
required

Query Parameters

email
string
required

Response

Successful

result
object
credits
number